Subject: Re: (osx 10.4.11) can't push from linux to Apache on mac: can't access location

From: Jakub Narebski <[email-masked]>
Date: Sun, 13 Jun 2010 03:44:20 -0700 (PDT)

ddw_music <[email-masked]> writes:
> Tay Ray Chuan wrote:
> > 
> > I vaguely remember encountering this. Use a dav client, like cadaver,
> > to manually release the lock.
> > 
> >   $ cadaver http://yourserver/git/kc/
> >   > discover info/refs
> > 
> >   <bla bla: look for the lock token>
> >   > unlock <token>
> > 
> 
> I do appreciate the help... unfortunately, cadaver reports no locks but the
> error persists...
> 
> For my purposes, I think I can use git-daemon. It's approaching the point
> where it will not be worth dealing with the Apache layer. Unless there is a
> simple solution, the HTTP approach seems to be adding complexity without
> much benefit.
> 
> If anyone out there knows of a straightforward way to set this up, I'm eager
> to hear it. (By "straightforward," I mean I'm out of time to fiddle around
> with it much more.) If there is no straightforward way, git-daemon it will
> be for me.

Why can't you use SSH for pushing instead of "dumb" HTTPS via WebDAV?
This would require having sshd (SSH daemon, i.e. SSH server) installed,
and perhaps Gitosis or Gitolite for access control (so one can use only
single shell account).

git-daemon in default configuration doesn't allow pushing.

I don't know if new "smart" HTTP has support for pushing, and whether
it would be easier to set up than WebDAV..

P.S. You did run git-update-server-info (and added it to 'update'
     hook), didn't you?

-- 
Jakub Narebski
Poland
ShadeHawk on #git